<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>Update System Notification REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75556/update-system-notification-rest-endpoint</link><description>&lt;p&gt;&lt;span&gt;Developing on Verint Community? Use the API documentation as a reference for all supported interactions with Verint Community.&lt;/span&gt;&lt;/p&gt;</description><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>Update System Notification REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75556/update-system-notification-rest-endpoint</link><pubDate>Fri, 08 Mar 2024 17:48:57 GMT</pubDate><guid isPermaLink="false">2ff838a1-32dc-440a-9781-20c99d68fcf3</guid><dc:creator>Ben Tiedt</dc:creator><comments>https://community.telligent.com/community/13/w/api-documentation/75556/update-system-notification-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Ben Tiedt on 03/08/2024 17:48:57&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;POST (Header:PUT) api.ashx/v2/systemnotifications/{id}.{json|xml}&lt;/h2&gt;&lt;p&gt;Enables external applications to resolve system notifications. If GroupId is set, the calling user must have Modify Group permissions to send a notification.  If GroupId is not set, the calling user must have Manage Settings permissions or be a recipient of the notification. If the notification is not resolvable, the calling user must be the Service User.&lt;/p&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;GroupingKey&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;Either Id or GroupingKey is required.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;Id&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;Either Id or GroupingKey is required.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;IsResolved&lt;/td&gt;  &lt;td&gt;bool&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;Status of this notification. If the notification is non-resolvable, it can only be resolved by the Service User.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;False&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.put({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/systemnotifications/{id}.json&amp;#39;,
	data: { 
		&amp;#39;id&amp;#39;: &amp;#39;id&amp;#39;
	}
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;div class="documentation-section returns"&gt;&lt;h3&gt;Example Responses&lt;/h3&gt;&lt;h4&gt;JSON&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;{
  &amp;quot;SystemNotification&amp;quot;: {
    &amp;quot;GroupingKey&amp;quot;: &amp;quot;groupingkey&amp;quot;,
    &amp;quot;Subject&amp;quot;: &amp;quot;subject&amp;quot;,
    &amp;quot;Message&amp;quot;: &amp;quot;message&amp;quot;,
    &amp;quot;RecipientIds&amp;quot;: [
      6,
      25
    ],
    &amp;quot;FirstOccurredDate&amp;quot;: &amp;quot;2012-01-04T00:00:00&amp;quot;,
    &amp;quot;LastOccurredDate&amp;quot;: &amp;quot;2012-05-02T00:00:00&amp;quot;,
    &amp;quot;TotalOccurrences&amp;quot;: 8,
    &amp;quot;IsResolved&amp;quot;: true,
    &amp;quot;GroupId&amp;quot;: 4,
    &amp;quot;PluginType&amp;quot;: &amp;quot;plugintype&amp;quot;,
    &amp;quot;IsResolvable&amp;quot;: true,
    &amp;quot;Id&amp;quot;: 7
  },
  &amp;quot;Errors&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ]
}&lt;/pre&gt;&lt;/div&gt;&lt;h4&gt;XML&lt;/h4&gt;&lt;pre class="brush: xml"&gt;&amp;lt;?xml version=&amp;quot;1.0&amp;quot; encoding=&amp;quot;utf-16&amp;quot;?&amp;gt;
&amp;lt;Response&amp;gt;
  &amp;lt;SystemNotification&amp;gt;
    &amp;lt;Id&amp;gt;7&amp;lt;/Id&amp;gt;
    &amp;lt;GroupingKey&amp;gt;groupingkey&amp;lt;/GroupingKey&amp;gt;
    &amp;lt;Subject&amp;gt;subject&amp;lt;/Subject&amp;gt;
    &amp;lt;Message&amp;gt;message&amp;lt;/Message&amp;gt;
    &amp;lt;RecipientIds&amp;gt;
      &amp;lt;int&amp;gt;6&amp;lt;/int&amp;gt;
      &amp;lt;int&amp;gt;25&amp;lt;/int&amp;gt;
    &amp;lt;/RecipientIds&amp;gt;
    &amp;lt;FirstOccurredDate&amp;gt;2012-01-04T00:00:00&amp;lt;/FirstOccurredDate&amp;gt;
    &amp;lt;LastOccurredDate&amp;gt;2012-05-02T00:00:00&amp;lt;/LastOccurredDate&amp;gt;
    &amp;lt;TotalOccurrences&amp;gt;8&amp;lt;/TotalOccurrences&amp;gt;
    &amp;lt;IsResolved&amp;gt;true&amp;lt;/IsResolved&amp;gt;
    &amp;lt;GroupId&amp;gt;4&amp;lt;/GroupId&amp;gt;
    &amp;lt;PluginType&amp;gt;plugintype&amp;lt;/PluginType&amp;gt;
    &amp;lt;IsResolvable&amp;gt;true&amp;lt;/IsResolvable&amp;gt;
  &amp;lt;/SystemNotification&amp;gt;
  &amp;lt;Errors&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
  &amp;lt;/Errors&amp;gt;
&amp;lt;/Response&amp;gt;&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>